# $Revision: 1.4 $, $Date: 2003/03/10 21:02:39 $
Summary:	Very simple mouse shooting game
Summary(pl):	Bardzo prosta strzelanka
Name:		OilWar
Version:	1.1.0
Release:	2
License:	GPL v2
Group:		X11/Applications/Games
Source0:	http://www.2ndpoint.fi/projektit/filut/%{name}-%{version}.tar.gz
Source1:	%{name}.png
Source2:	%{name}.desktop
Patch0:		%{name}-am_remove_install-data-local.patch
Patch1:		%{name}-FHS.patch
URL:		http://www.2ndpoint.fi/projektit/oilwar.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OilWar is a simple game where you shoot enemy soldiers and tanks with
your mouse. The evil army is attacking your land and tries to steal
your oil. Your mission: waste the invaders, protect the oil, protect
the mother land...

%description -l pl
OilWar jest prost gr w ktrej strzelasz do onierzy i czogw 
nieprzyjaciela za pomoc myszki. Armia wroga atakuje twoje terytorium
i stara si ukra zasoby oleju. Twoja misja: zniszczy najedcw,
chroni olej, chroni ojczyzn...

%prep
%setup  -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-rtti"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Games/Arcade,%{_pixmapsdir}}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_applnkdir}/Games/Arcade

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README AUTHORS
%attr(2755,root,games) %{_bindir}/*
%{_datadir}/games/oilwar
%{_applnkdir}/Games/Arcade/*.desktop
%{_pixmapsdir}/*.png
%attr(664,root,games) %verify(not size mtime md5) %{_localstatedir}/games/*.scores

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl
$Log: OilWar.spec,v $
Revision 1.4  2003/03/10 21:02:39  ankry
- added -FHS patch by <deejay1@nsj.srem.pl>
- rel. 2

Revision 1.3  2003/03/08 22:12:36  kloczek
- added regenerate ac/am suit,
- removed redundant BuildRequires rules (SDL-devel),
- mark executable as sgid games and allow write access in score files,
- added am_remove_install-data-local patch.

Revision 1.2  2003/03/08 20:00:11  krolik
- added pl description

Revision 1.1  2003/03/08 19:48:01  adamg
- initial import, spec by DeeJay1@IrcNET
